Skip navigation

iPhoto Update can't be installed on this disk. iPhoto 9.0 or later is required to install this update.

1156 Views 11 Replies Latest reply: May 20, 2013 7:08 AM by léonie RSS
rimeomeomeo Calculating status...
Currently Being Moderated
May 18, 2013 8:50 PM

Hey guys ! So I am new here and I am really need you guys to solve my problem I tried to download the iPhoto so so so much time because when I buy Macbook Pro I didnt see the iLife and the DVD too ! So I was looking for link download it and I found ones ! But when I got it, the " Select a Destination" keep saying that : " iPhoto Update cant be installed on this disk. iPhoto 9.0 or late is required to install this update" !! I saw some questions and answers about this problem but I dont understand much When I downloaded it, I opened it in the Installer and didnt move anything. Oh, and weird thing I dont find the iPhoto folder in Applications ? OMG, I am very scared and dont know what to do now. I live in Vietnam so its hard to buy a iLife DVD so help me guys ! Thanks so much

MacBook Pro, Mac OS X (10.7.5)

Actions

More Like This

  • Retrieving data ...

Related Articles

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.